> ## Documentation Index
> Fetch the complete documentation index at: https://docs.weborion.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create combined baseline/rebaseline job

> Creates a batch job that adds new webpages or rebaselines existing ones depending on whether they already exist. For pages to be rebaselined, the status is immediately set to `Baseline Incomplete`, pausing monitoring until rebaseline completes.

**Note:** If more than one rebaseline is queued for the same webpage, the `Baseline Incomplete` status is removed when the first rebaseline finishes, even if a second is still in queue.



## OpenAPI

````yaml /openapi.json post /api/v1/batch_jobs/combined_baseline
openapi: 3.0.3
info:
  title: WebOrion Monitor API
  description: >-
    REST API for managing webpages, alerts, batch jobs, and activity logs in
    WebOrion Defacement Monitor.
  version: '2021-07-26'
servers:
  - url: https://api.monitor.weborion.io
security:
  - bearerAuth: []
tags:
  - name: User
    description: Operations related to user accounts
  - name: Webpages
    description: Operations related to webpages and URLs
  - name: Batch Jobs
    description: Operations related to batch baseline and rebaseline jobs
  - name: Alerts
    description: Operations related to alerts
  - name: Domains
    description: Operations related to domains
  - name: Tags
    description: Operations related to tags for organising webpages
paths:
  /api/v1/batch_jobs/combined_baseline:
    post:
      tags:
        - Batch Jobs
      summary: Create combined baseline/rebaseline job
      description: >-
        Creates a batch job that adds new webpages or rebaselines existing ones
        depending on whether they already exist. For pages to be rebaselined,
        the status is immediately set to `Baseline Incomplete`, pausing
        monitoring until rebaseline completes.


        **Note:** If more than one rebaseline is queued for the same webpage,
        the `Baseline Incomplete` status is removed when the first rebaseline
        finishes, even if a second is still in queue.
      operationId: createCombinedBaselineJob
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchBaselineBody'
      responses:
        '200':
          description: OK
components:
  schemas:
    BatchBaselineBody:
      type: object
      required:
        - urls
        - user_agent_id
        - plan_type
      properties:
        urls:
          type: array
          items:
            type: string
        user_agent_id:
          type: integer
        plan_type:
          $ref: '#/components/schemas/PlanType'
        text_string_appear:
          type: string
        text_string_not_appear:
          type: string
    PlanType:
      type: string
      enum:
        - GOLD
        - SILVER
        - BRONZE
        - TRIAL
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Generate an API token from the WebOrion Defacement Monitor portal. Pass
        it as `Authorization: Bearer <token>`.

````